#
# spec file for package proxymngr
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           proxymngr
Version:        1.0.4
Release:        bp154.1.18
Summary:        X proxy manager service
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  lbxproxy
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xproxymngproto)
BuildRequires:  pkgconfig(xt)
Requires:       lbxproxy
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The proxy manager (proxymngr) is responsible for resolving requests from
xfindproxy (and other similar clients), starting new proxies when
appropriate, and keeping track of all of the available proxy services.
The proxy manager strives to reuse existing proxies whenever possible.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%config %{_sysconfdir}/X11/proxymngr/
%{_bindir}/proxymngr
%{_mandir}/man1/proxymngr.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.4:
  * This minor maintenance release includes various build
    improvements, cleanups, portability tweaks, and bug fixes,
    but nothing exciting.
* Tue Feb 26 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + install: Use sysconfdir instead of libdir for config files.
  + man: Set correct config file location in man page
  + Mark Usage() with _X_NORETURN to silence gcc warning
  + Add const qualifiers to clear gcc -Wwrite-strings warnings
  + config: replace deprecated AM_CONFIG_HEADER with
    AC_CONFIG_HEADERS
  + Add $(AM_V_GEN) to silence pmconfig creation rule
  + proxymngr depends on xproto, not x11 (Xlib)
- Drop proxymngr.diff patch, fixed upstream.
- Replace pkgconfig(x11) BuildRequires with pkgconfig(xproto)
  BuildRequires, following upstream changes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split proxymngr from xorg-x11. Initial version: 1.0.2.
